<?php

/**
 * Typography Settings
 *
 * @package florist_bouquet
 */

// Typography Settings
$wp_customize->add_section(
    'florist_bouquet_typography_setting',
    array(
        'panel' => 'florist_bouquet_theme_options',
        'title' => esc_html__( 'Typography Settings', 'florist-bouquet' ),
    )
);

$wp_customize->add_setting(
    'florist_bouquet_site_title_font',
    array(
        'default'           => 'Raleway',
        'sanitize_callback' => 'florist_bouquet_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'florist_bouquet_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'florist-bouquet' ),
        'section'  => 'florist_bouquet_typography_setting',
        'settings' => 'florist_bouquet_site_title_font',
        'type'     => 'select',
        'choices'  => florist_bouquet_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'florist_bouquet_site_description_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'florist_bouquet_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'florist_bouquet_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'florist-bouquet' ),
		'section'  => 'florist_bouquet_typography_setting',
		'settings' => 'florist_bouquet_site_description_font',
		'type'     => 'select',
		'choices'  => florist_bouquet_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'florist_bouquet_header_font',
	array(
		'default'           => 'Epilogue',
		'sanitize_callback' => 'florist_bouquet_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'florist_bouquet_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'florist-bouquet' ),
		'section'  => 'florist_bouquet_typography_setting',
		'settings' => 'florist_bouquet_header_font',
		'type'     => 'select',
		'choices'  => florist_bouquet_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'florist_bouquet_content_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'florist_bouquet_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'florist_bouquet_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'florist-bouquet' ),
		'section'  => 'florist_bouquet_typography_setting',
		'settings' => 'florist_bouquet_content_font',
		'type'     => 'select',
		'choices'  => florist_bouquet_get_all_google_font_families(),
	)
);